## python-oslo.utils 3.22.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# NOTE(dhellmann): Because oslo.utils is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.utils means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

pbr>=1.8 # Apache-2.0
six>=1.9.0 # MIT
funcsigs>=0.4;python_version=='2.7' or python_version=='2.6' # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
monotonic>=0.6 # Apache-2.0
pytz>=2013.6 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
netifaces>=0.10.4 # MIT
debtcollector>=1.2.0 # Apache-2.0
pyparsing>=2.0.7 # MIT

=== debian/changelog ===
python-oslo.utils (3.22.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 20:55:30 +0000

python-oslo.utils (3.22.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 13:52:43 -0500

python-oslo.utils (3.21.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jan 2017 13:15:41 -0500

python-oslo.utils (3.20.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 10:44:11 -0500

python-oslo.utils (3.19.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Dec 2016 09:05:49 -0500

python-oslo.utils (3.18.0-1ubuntu1) zesty; urgency=medium

  * New upstream version. 
  * debian/control: Bump version dependencies.
  * debian/tests: Add autopkgtest

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Nov 2016 08:46:31 -0500

python-oslo.utils (3.17.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Update build dependencies
  * debian/patches/allow-any-pytz-version.patch: Dropped we 
    have a sufficently higher version that what oslo.utils requires.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Oct 2016 10:15:47 -0400

python-oslo.utils (3.16.0-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Add python-pyparsing to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Aug 2016 21:08:01 -0400

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-funcsigs (>= 0.4),
                     python-hacking (>= 0.10.0),
                     python-iso8601 (>= 0.1.11),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-netaddr (>= 0.7.13),
                     python-netifaces (>= 0.10.4),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-pyparsing (>= 2.0.7),
                     python-six (>= 1.9.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-funcsigs (>= 0.4),
                     python3-iso8601 (>= 0.1.11),
                     python3-mock (>= 2.0),
                     python3-monotonic (>= 0.6),
                     python3-netaddr (>= 0.7.13),
                     python3-netifaces (>= 0.10.4),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pyparsing (>= 2.0.7),
                     python3-six (>= 1.9.0),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-tz,
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.utils
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.utils
Homepage: https://launchpad.net/oslo
XS-Testsuite: autopkgtest

Package: python-oslo.utils
Architecture: all
Provides: python-oslo-utils,
Depends: python-debtcollector (>= 1.2.0),
         python-funcsigs (>= 0.4),
         python-iso8601 (>= 0.1.11),
         python-monotonic (>= 0.6),
         python-netaddr (>= 0.7.13),
         python-netifaces (>= 0.10.4),
         python-oslo.i18n (>= 2.1.0),
         python-pbr (>= 1.8),
         python-pyparsing (>= 2.0.7),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-oslo-utils (<< 1.6.0-1~),
Replaces: python-oslo-utils (<< 1.6.0-1~),
Description: set of utility functions for OpenStack - Python 2.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.utils
Architecture: all
Provides: python3-oslo-utils,
Depends: python3-debtcollector (>= 1.2.0),
         python3-funcsigs (>= 0.4),
         python3-iso8601 (>= 0.1.11),
         python3-monotonic (>= 0.6),
         python3-netaddr (>= 0.7.13),
         python3-netifaces (>= 0.10.4),
         python3-oslo.i18n (>= 2.1.0),
         python3-pbr (>= 1.8),
         python3-pyparsing (>= 2.0.7),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python3-oslo-utils (<< 1.6.0-1~),
Replaces: python3-oslo-utils (<< 1.6.0-1~),
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

## python-oslo.utils 3.22.1

=== requirements.txt ===
--- 
+++ 
@@ -17,4 +17,4 @@
 netaddr!=0.7.16,>=0.7.13 # BSD
 netifaces>=0.10.4 # MIT
 debtcollector>=1.2.0 # Apache-2.0
-pyparsing>=2.0.7 # MIT
+pyparsing>=2.1.0 # MIT

=== debian/changelog ===
python-oslo.utils (3.22.1-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 15 Sep 2017 13:15:47 +0200

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-funcsigs (>= 0.4),
                     python-hacking,
                     python-iso8601,
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-netaddr (>= 0.7.13),
                     python-netifaces (>= 0.10.4),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pyparsing (>= 2.1.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-funcsigs (>= 0.4),
                     python3-iso8601,
                     python3-mock (>= 2.0),
                     python3-monotonic (>= 0.6),
                     python3-netaddr (>= 0.7.13),
                     python3-netifaces (>= 0.10.4),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-pyparsing (>= 2.1.0),
                     python3-six (>= 1.9.0),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-tz,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-oslo.utils.git/?h=debian%2Focata
Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-oslo.utils.git -b debian/ocata
Homepage: https://launchpad.net/oslo

Package: python-oslo.utils
Architecture: all
Provides: python-oslo-utils,
Depends: python-debtcollector (>= 1.2.0),
         python-funcsigs (>= 0.4),
         python-iso8601,
         python-monotonic (>= 0.6),
         python-netaddr (>= 0.7.13),
         python-netifaces (>= 0.10.4),
         python-oslo.i18n (>= 2.1.0),
         python-pbr (>= 1.8),
         python-pyparsing (>= 2.1.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-utils (<< 1.6.0-1~),
Replaces: python-oslo-utils (<< 1.6.0-1~),
Description: set of utility functions for OpenStack - Python 2.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.utils
Architecture: all
Provides: python3-oslo-utils,
Depends: python3-debtcollector (>= 1.2.0),
         python3-funcsigs (>= 0.4),
         python3-iso8601,
         python3-monotonic (>= 0.6),
         python3-netaddr (>= 0.7.13),
         python3-netifaces (>= 0.10.4),
         python3-oslo.i18n (>= 2.1.0),
         python3-pbr (>= 1.8),
         python3-pyparsing (>= 2.1.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-oslo-utils (<< 1.6.0-1~),
Replaces: python3-oslo-utils (<< 1.6.0-1~),
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.utils.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build
	rm -f ChangeLog
	rm -rf .pc
	rm -f AUTHORS
	rm -rf .testrepository

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.utils-doc/usr/share/doc/python-oslo.utils-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.utils 3.28.0

=== requirements.txt ===
--- 
+++ 
@@ -7,11 +7,11 @@
 # adding a new feature to oslo.utils means adding a new dependency,
 # that is a likely indicator that the feature belongs somewhere else.
 
-pbr>=1.8 # Apache-2.0
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.9.0 # MIT
 funcsigs>=0.4;python_version=='2.7' or python_version=='2.6' # Apache-2.0
 iso8601>=0.1.11 # MIT
-oslo.i18n>=2.1.0 # Apache-2.0
+oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
 monotonic>=0.6 # Apache-2.0
 pytz>=2013.6 # MIT
 netaddr!=0.7.16,>=0.7.13 # BSD

=== debian/changelog ===
python-oslo.utils (3.28.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:28:45 -0400

python-oslo.utils (3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 12:13:46 -0400

python-oslo.utils (3.25.1-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:23:55 +0100

python-oslo.utils (3.25.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:05:00 +0100

## python-oslo.utils 3.28.3

=== debian/changelog ===
python-oslo.utils (3.28.3-0ubuntu1~cloud0) xenial; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/pike branch.

  [ James Page ]
  * New upstream point release, resolving issues with later setuptools
    version compatibility (LP: #1758094).

 -- James Page <james.page@ubuntu.com>  Wed, 12 Sep 2018 15:18:29 -0600

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-funcsigs (>= 0.4),
                     python-iso8601 (>= 0.1.11),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-netaddr (>= 0.7.13),
                     python-netifaces (>= 0.10.4),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslotest (>= 1.10.0),
                     python-pyparsing (>= 2.1.0),
                     python-six (>= 1.9.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tz (>= 2013.6),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-funcsigs (>= 0.4),
                     python3-iso8601 (>= 0.1.11),
                     python3-mock (>= 2.0),
                     python3-monotonic (>= 0.6),
                     python3-netaddr (>= 0.7.13),
                     python3-netifaces (>= 0.10.4),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pyparsing (>= 2.1.0),
                     python3-six (>= 1.9.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-tz (>= 2013.6),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.utils
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.utils
Homepage: https://launchpad.net/oslo
XS-Testsuite: autopkgtest

Package: python-oslo.utils
Architecture: all
Provides: python-oslo-utils,
Depends: python-debtcollector (>= 1.2.0),
         python-funcsigs (>= 0.4),
         python-iso8601 (>= 0.1.11),
         python-monotonic (>= 0.6),
         python-netaddr (>= 0.7.13),
         python-netifaces (>= 0.10.4),
         python-oslo.i18n (>= 2.1.0),
         python-pbr (>= 2.0.0),
         python-pyparsing (>= 2.0.7),
         python-six (>= 1.9.0),
         python-tz (>= 2013.6),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-oslo-utils (<< 1.6.0-1~),
Replaces: python-oslo-utils (<< 1.6.0-1~),
Description: set of utility functions for OpenStack - Python 2.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.utils
Architecture: all
Provides: python3-oslo-utils,
Depends: python3-debtcollector (>= 1.2.0),
         python3-funcsigs (>= 0.4),
         python3-iso8601 (>= 0.1.11),
         python3-monotonic (>= 0.6),
         python3-netaddr (>= 0.7.13),
         python3-netifaces (>= 0.10.4),
         python3-oslo.i18n (>= 2.1.0),
         python3-pbr (>= 2.0.0),
         python3-pyparsing (>= 2.0.7),
         python3-six (>= 1.9.0),
         python3-tz (>= 2013.6),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python3-oslo-utils (<< 1.6.0-1~),
Replaces: python3-oslo-utils (<< 1.6.0-1~),
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,6 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
-	rm -f ChangeLog
-	rm -rf .pc
-	rm -f AUTHORS
-	rm -rf .testrepository
 
 override_dh_sphinxdoc:
 	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.utils-doc/usr/share/doc/python-oslo.utils-doc/html

## python-oslo.utils 3.35.0

=== requirements.txt ===
--- 
+++ 
@@ -8,13 +8,13 @@
 # that is a likely indicator that the feature belongs somewhere else.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-six>=1.9.0 # MIT
-funcsigs>=0.4;python_version=='2.7' or python_version=='2.6' # Apache-2.0
+six>=1.10.0 # MIT
+funcsigs>=1.0.0;python_version=='2.7' or python_version=='2.6' # Apache-2.0
 iso8601>=0.1.11 # MIT
-oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
+oslo.i18n>=3.15.3 # Apache-2.0
 monotonic>=0.6 # Apache-2.0
 pytz>=2013.6 # MIT
-netaddr!=0.7.16,>=0.7.13 # BSD
+netaddr>=0.7.18 # BSD
 netifaces>=0.10.4 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 pyparsing>=2.1.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx>=1.6.2 # BSD
openstackdocstheme>=1.17.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.utils (3.35.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:28:49 +0000

python-oslo.utils (3.35.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Update (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 14:22:22 +0100

python-oslo.utils (3.28.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed watch file.
  * Removed disabling dh_sphinxdoc.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:56:33 +0000

python-oslo.utils (3.28.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * debian/gpb.conf using debian/pike.
  * Removed now useless requirements patch for pytz version.
  * Disable calling dh_sphinxdoc as it's broken.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 18:13:37 +0000

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 bandit,
 python-coverage,
 python-ddt,
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 1.3.1) <!nocheck>,
 python-fixtures (>= 1.3.1) <!nodoc>,
 python-funcsigs (>= 0.4),
 python-hacking,
 python-iso8601,
 python-mock (>= 2.0),
 python-monotonic (>= 0.6),
 python-netaddr,
 python-netifaces,
 python-openstackdocstheme (>= 1.17.0) <!nodoc>,
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslotest (>= 1.10.0),
 python-pyparsing,
 python-six,
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-tz,
 python3-coverage,
 python3-ddt,
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 1.3.1),
 python3-funcsigs (>= 0.4),
 python3-iso8601,
 python3-mock (>= 2.0),
 python3-monotonic (>= 0.6),
 python3-netaddr,
 python3-netifaces,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslotest (>= 1.10.0),
 python3-pyparsing,
 python3-six,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tz,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.utils
Architecture: all
Depends:
 python-debtcollector (>= 1.2.0),
 python-funcsigs (>= 0.4),
 python-iso8601,
 python-monotonic (>= 0.6),
 python-netaddr,
 python-netifaces,
 python-oslo.i18n (>= 3.15.3),
 python-pbr (>= 2.0.0),
 python-pyparsing,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: set of utility functions for OpenStack - Python 2.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 2.x module.

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-funcsigs (>= 0.4),
 python3-iso8601,
 python3-monotonic (>= 0.6),
 python3-netaddr,
 python3-netifaces,
 python3-oslo.i18n (>= 3.15.3),
 python3-pbr (>= 2.0.0),
 python3-pyparsing,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.utils/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.utils 3.36.4

=== debian/changelog ===
python-oslo.utils (3.36.4-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Disable tests while bootstrapping the backport.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 26 Oct 2018 17:00:10 +0200

python-oslo.utils (3.36.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:20:56 +0200

python-oslo.utils (3.36.4-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release (rocky).
  * Fixed (build-)depends for this release.

  [ Michal Arbet ]
  * d/control: Bump debhelper version

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Aug 2018 21:46:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: python-oslo.utils
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
+ Michal Arbet <michal.arbet@ultimum.io>,
+ Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python-all,
@@ -31,11 +33,12 @@
  python-netaddr,
  python-netifaces,
  python-openstackdocstheme (>= 1.17.0) <!nodoc>,
- python-oslo.config (>= 1:5.1.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
- python-oslotest (>= 1.10.0),
+# python-oslotest (>= 1:3.2.0),
  python-pyparsing,
  python-six,
+ python-stestr (>= 2.0.0),
  python-testscenarios,
  python-testtools (>= 2.2.0),
  python-tz,
@@ -49,16 +52,16 @@
  python3-monotonic (>= 0.6),
  python3-netaddr,
  python3-netifaces,
- python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
- python3-oslotest (>= 1.10.0),
+# python3-oslotest (>= 1:3.2.0),
  python3-pyparsing,
  python3-six,
+ python3-stestr (>= 2.0.0),
  python3-testscenarios,
  python3-testtools (>= 2.2.0),
  python3-tz,
  subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
 Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,11 @@
 	pkgos-dh_auto_install
 
 override_dh_auto_test:
+	:
+ifeq (1,0)
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test
+endif
 endif
 
 override_dh_clean:
@@ -19,8 +22,10 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.utils-doc/usr/share/doc/python-oslo.utils-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
 
 # Commands not to run
 override_dh_installcatalogs:

## python-oslo.utils 3.36.4+2019.11.15.git.c49a426b66

=== debian/changelog ===
python-oslo.utils (3.36.4+2019.11.15.git.c49a426b66-1+deb10u1) buster; urgency=medium

  * CVE-2019-3866: Sensitive information leaked in mistral logs. Upgrade to
    the tip of the upstream stable/rocky branch (as the upstream patch would
    not otherwise apply).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Dec 2019 21:37:40 +0100

## python-oslo.utils 3.36.5

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.utils (3.36.5-0+deb10u1) buster; urgency=medium

  * CVE-2019-3866: Sensitive information leaked in mistral logs. Upgrade to
    the tip of the upstream stable/rocky branch (as the upstream patch would
    not otherwise apply).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Dec 2019 21:37:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  Michal Arbet <michal.arbet@ultimum.io>,
- Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
@@ -35,7 +34,7 @@
  python-openstackdocstheme (>= 1.17.0) <!nodoc>,
  python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
-# python-oslotest (>= 1:3.2.0),
+ python-oslotest (>= 1:3.2.0),
  python-pyparsing,
  python-six,
  python-stestr (>= 2.0.0),
@@ -54,7 +53,7 @@
  python3-netifaces,
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
-# python3-oslotest (>= 1:3.2.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-pyparsing,
  python3-six,
  python3-stestr (>= 2.0.0),

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,8 @@
 	pkgos-dh_auto_install
 
 override_dh_auto_test:
-	:
-ifeq (1,0)
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test
-endif
 endif
 
 override_dh_clean:

## python-oslo.utils 3.40.3

=== debian/changelog ===
python-oslo.utils (3.40.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:58:05 +0200

python-oslo.utils (3.40.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 20:26:05 +0100

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-ddt,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet,
 python3-fixtures (>= 1.3.1) <!nocheck>,
 python3-fixtures (>= 1.3.1) <!nodoc>,
 python3-funcsigs (>= 0.4),
 python3-hacking,
 python3-iso8601,
 python3-mock (>= 2.0),
 python3-netaddr,
 python3-netifaces,
 python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslotest (>= 1:3.2.0),
 python3-pyparsing,
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tz,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-funcsigs (>= 0.4),
 python3-iso8601,
 python3-netaddr,
 python3-netifaces,
 python3-oslo.i18n (>= 3.15.3),
 python3-pbr (>= 2.0.0),
 python3-pyparsing,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

## python-oslo.utils 3.41.1

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,8 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 # this is required for the docs build jobs
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
 fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.utils (3.41.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:35:04 +0100

python-oslo.utils (3.41.0-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:23:45 -0400

python-oslo.utils (3.41.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:25:18 -0400

python-oslo.utils (3.41.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 14:20:02 -0400

python-oslo.utils (3.40.3-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/*: Drop, include in release.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:05:12 +0000

python-oslo.utils (3.40.1-0ubuntu2) disco; urgency=medium

  * d/p/avoid-double-setting-event.patch: Cherry pick fix for double
    trigger of event in Neutron.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:30:09 +0000

python-oslo.utils (3.40.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/tests/control: Drop use of needs-recommends.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:26:00 +0000

python-oslo.utils (3.37.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:29:08 +0000

python-oslo.utils (3.36.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 16:23:08 -0400

python-oslo.utils (3.36.2-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 15:33:55 +0100

python-oslo.utils (3.36.2-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Tue, 12 Jun 2018 11:37:40 +0100

python-oslo.utils (3.35.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:49:14 +0000

python-oslo.utils (3.33.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jan 2018 11:27:20 +0000

python-oslo.utils (3.32.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:23:54 +0000

python-oslo.utils (3.31.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 15:09:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.utils
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -16,32 +17,35 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  bandit,
- python3-coverage,
- python3-ddt,
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-ddt (>= 1.0.1),
  python3-debtcollector (>= 1.2.0),
- python3-eventlet,
- python3-fixtures (>= 1.3.1) <!nocheck>,
- python3-fixtures (>= 1.3.1) <!nodoc>,
- python3-funcsigs (>= 0.4),
- python3-hacking,
- python3-iso8601,
- python3-mock (>= 2.0),
- python3-netaddr,
- python3-netifaces,
- python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
+ python3-eventlet (>= 0.18.2),
+ python3-fixtures (>= 3.0.0) <!nocheck>,
+ python3-fixtures (>= 3.0.0) <!nodoc>,
+ python3-funcsigs (>= 1.0.0),
+ python3-hacking (>= 1.1.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-mock (>= 2.0.0),
+ python3-monotonic (>= 0.6),
+ python3-netaddr (>= 0.7.18),
+ python3-netifaces (>= 0.10.4),
+ python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslotest (>= 1:3.2.0),
- python3-pyparsing,
- python3-six,
+ python3-pyparsing (>= 2.1.0),
+ python3-reno (>= 2.5.0),
+ python3-six (>= 1.10.0),
  python3-stestr (>= 2.0.0),
- python3-testscenarios,
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-tz,
+ python3-tz (>= 2013.6),
  subunit,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.utils
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.utils
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.utils-doc
@@ -63,14 +67,16 @@
 Architecture: all
 Depends:
  python3-debtcollector (>= 1.2.0),
- python3-funcsigs (>= 0.4),
- python3-iso8601,
- python3-netaddr,
- python3-netifaces,
+ python3-funcsigs (>= 1.0.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-monotonic (>= 0.6),
+ python3-netaddr (>= 0.7.18),
+ python3-netifaces (>= 0.10.4),
  python3-oslo.i18n (>= 3.15.3),
  python3-pbr (>= 2.0.0),
- python3-pyparsing,
- python3-six,
+ python3-pyparsing (>= 2.1.0),
+ python3-six (>= 1.10.0),
+ python3-tz (>= 2013.6),
  ${misc:Depends},
  ${python3:Depends},
 Description: set of utility functions for OpenStack - Python 3.x
